# SystemLogEvent properties

## $id <a href="#id" id="id"></a>

The id of the event in the database.

## $dateAdded <a href="#dateadded" id="dateadded"></a>

The timestamp this event was added to the log.

## $type <a href="#type" id="type"></a>

The type of the event, matching the name of the class that generated it.

## $subType <a href="#subtype" id="subtype"></a>

The sub-type of the event.

## $class <a href="#class" id="class"></a>

The name of the class that generated this event.

## $ip <a href="#ip" id="ip"></a>

The IP address that generated this event, if applicable.

## $httpHost <a href="#httphost" id="httphost"></a>

The name of the host that generated this event, if applicable.

## $requestUri <a href="#requesturi" id="requesturi"></a>

The request URI that generated this event, if applicable.

## $browserString <a href="#browserstring" id="browserstring"></a>

The browser string of the browser that generated the request that triggered this event, if applicable.

## $description

The description of the event, if applicable.

## $data <a href="#data" id="data"></a>

A hash array of the additional data linked to this event.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cherrycake.tin.cat/version-1.x-beta/reference/core-classes/systemlogevent/systemlogevent-properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
